/////////////////////////////////////
//Fonctions de cration de niveau
/////////////////////////////////////

function GetLevelData(Numero:int,Not_Mute:Boolean=true):Niveau
{
	var Message:String="";
	var Liens:Array=new Array();
	function T(...Liste):Array
	{//T comme Tableau
	//Plus court  crire que new Array()  chaque fois
		return Liste;
	}
	if(Numero==0)
	{//Facile
		Liens=new Array(T(0,1),T(0,2),T(0,3),T(1,2),T(1,3),T(2,3),T(0,0));
		Message ="<u>Rgles de B-graphe : <font size=\"-2\"><i>(partie 1/1)</i></font></u><br>Enlevez tout croisement entre les traits pour passer au niveau suivant.<br>Pour cela, dplacez les ronds  l'aide de la souris.";
	}
	else if(Numero==1)//Facile
		Liens=new Array(T(0,1),T(1,5),T(5,4),T(4,0),T(6,7),T(7,3),T(3,2),T(2,6));
	else if(Numero==2)//Plutot facile
		Liens=new Array(T(1,2),T(1,3),T(1,4),T(1,5),T(2,6),T(3,6),T(4,7),T(5,7),T(5,9),T(6,8),T(7,0),T(8,0),T(9,0),T(0,1));
	else if(Numero==3)//Infaisable
		Liens=new Array(T(1,4),T(1,2),T(1,5),T(2,3),T(2,4),T(3,4),T(3,5),T(4,5),T(5,0),T(2,5),T(0,4),T(1,3));
	else if(Numero==4)//Facile
		Liens=new Array(T(0,1),T(0,8),T(1,2),T(1,3),T(2,4),T(2,5),T(3,7),T(4,5),T(4,6),T(5,6),T(6,7),T(7,9),T(7,11),T(8,9),T(9,10),T(10,11));
	else if(Numero==5)//Moyen Dur
		Liens=new Array(T(0,1),T(0,2),T(0,7),T(0,9),T(0,10),T(1,2),T(1,3),T(1,6),T(1,7),T(2,3),T(2,9),T(3,4),T(3,9),T(3,6),T(4,5),T(4,6),T(4,7),T(4,13),T(4,14),T(4,10),T(5,6),T(5,14),T(5,15),T(5,12),T(5,11),T(6,7),T(6,15),T(6,16),T(7,10),T(7,11),T(7,12),T(7,13),T(7,16),T(7,8),T(9,10),T(11,12),T(11,15),T(11,16),T(12,13),T(12,14),T(13,14),T(15,16));
	else if(Numero==6)//Moyen
		Liens=new Array(T(0,1),T(0,4),T(0,5),T(1,2),T(1,5),T(2,3),T(2,6),T(3,6),T(3,7),T(4,5),T(4,9),T(5,10),T(5,8),T(5,6),T(6,8),T(6,7),T(7,12),T(8,10),T(8,11),T(9,10),T(9,13),T(10,13),T(10,14),T(10,11),T(11,12),T(11,15),T(12,16),T(13,14),T(14,15),T(15,16),T(11,16),T(6,11));
	else if(Numero==7)//Dur
		Liens=new Array(T(0,1),T(0,2),T(0,3),T(0,4),T(0,5),T(0,6),T(0,7),T(1,8),T(2,3),T(2,8),T(3,4),T(3,8),T(3,9),T(4,9),T(4,5),T(4,10),T(5,11),T(5,6),T(5,10),T(6,11),T(7,11),T(8,15),T(8,16),T(9,16),T(9,17),T(9,10),T(10,17),T(10,18),T(11,18),T(11,19),T(12,17),T(13,17),T(14,17),T(15,20),T(16,17),T(16,23),T(17,18),T(18,23),T(19,25),T(19,26),T(20,27),T(20,28),T(21,28),T(21,22),T(22,28),T(22,23),T(23,28),T(23,24),T(24,28),T(24,25),T(25,28),T(26,28),T(26,29),T(27,28),T(27,32),T(28,30),T(28,31),T(28,29),T(29,32),T(28,29),T(28,32));
	else if(Numero==14)
		Liens=new Array(T(0,1),T(1,5),T(5,4),T(4,0),T(6,7),T(7,3),T(3,2),T(2,6),T(3,4),T(5,6),T(7,0),T(1,2));
	else if(Numero==15)
	{
		Liens=new Array(T(0,1),T(1,2),T(2,3),T(3,4),T(0,2),T(0,3),T(0,4),T(1,2),T(1,3),T(1,4),T(2,3),T(2,4));
	}

	if(Message!="" && Not_Mute)
		ShowMessage(Message);
	return LoadNiveau(Liens,Numero);
}

function ChargementNiveauDirect(e:Event):void
{//Trigger quand clic sur une des miniatures dans Boite.
	while(Boite.numChildren > 0)
		Boite.removeChildAt(0);

	Boite.addChild(ChangeLevelInfo);

	ChangeLevelInfo.htmlText="<u>Chargement en cours</u> (niv. <b>"+e.currentTarget.NumeroNiveau+"</b>)";
	NumeroNiveauActuel=e.currentTarget.NumeroNiveau;
	LancerNouveauNiveau(e.currentTarget.NumeroNiveau);
}


function LoadNiveau(Liens:Array,Numero:int):Niveau
{//La fonction principale, qui charge le niveau dans un sprite
	var Layer:Niveau; //Layer est le Sprite qui doit contenir le niveau
	Layer=new Niveau(Liens,FlashWidth,FlashHeight);
	Layer.NumeroNiveau=Numero;
	return Layer;
}