/////////////////////////////////////
//Fonctions utilises en cours de niveau
/////////////////////////////////////
function TesterFinNiveau(e:Event):void
{//Teste si le niveau est termin
	if(Fond.Termine)
	{
		//Abandonne le drag en cours
		TerminerNiveau(1);
		Fond.startDrag();
		Fond.stopDrag();
	}
}

/////////////////////////////////////
//Fonctions utilises lors des changements de niveaux
/////////////////////////////////////
function TerminerNiveau(Valeur:int):void
{//Termine un niveau en affichant la boite de changement
//Ajoute la valeur aux niveaux unlocks.
	removeEventListener(Event.ENTER_FRAME,TesterFinNiveau);

	if(Valeur==1)
	{
		SpriteWD.x=640;
		addChild(SpriteWD);
		addEventListener(Event.ENTER_FRAME,NouvelleReussite);
	}

	Fond.Taille=0;//Rduire
	Boite.visible=true;

	NumeroNiveauActuel+=Valeur;
	if(NumeroNiveauActuel>NumeroNiveauUnlockes && NumeroNiveauActuel<11)
	{//Si il vient de russir le niveau sur lequel il tait bloqu
		NumeroNiveauUnlockes+=Valeur;//Dbloquer un nouveau niveau
		SESSION.NumeroNiveauActuel=NumeroNiveauActuel;//Et enregistrer en local la progression
		SESSION.NumeroNiveauUnlockes=NumeroNiveauUnlockes;
		ChangeLevelInfo.htmlText="Nouveau Niveau dbloqu !";
		LancerNouveauNiveau();
	}
	else	//Puis afficher la boite avec la liste des niveaux.
		UpdaterBoite();
}

function NouvelleReussite(e:Event):void
{
	AppliquerFiltre(SpriteWD,0x00FF00,40);
	if(SpriteWD.scaleX<1)
	{
		removeChild(SpriteWD);
		removeEventListener(Event.ENTER_FRAME,NouvelleReussite);
	}
}
function StopLevel(e:Event=null):void
{//Arrte le niveau directement.
 	TerminerNiveau(0);
  	Message_Container.visible=false;
	ChangeLevelInfo.htmlText="<b>Niveau abandonn !</b>";
}

function LancerNouveauNiveau(NumNiveau:int=-1):void
{//Lancer un niveau "quelconque"
	if(NumNiveau==-1)
		NumNiveau=NumeroNiveauActuel;

	if(Fond!=null && contains(Fond))
	{//Si Fond a dj t utilis, nettoyer l'ensemble
		removeChild(Fond);
	}

	Fond = GetLevelData(NumNiveau);
	Fond.graphics.clear();//Supprimer le fond blanc
	Fond.x=FlashWidth/2;
	Fond.y=FlashHeight/2;
	Fond.scaleX=Fond.scaleY=Fond.TailleActuelle=0;
	addChild(Fond);
	//Repasser la boite de message au premier plan
	setChildIndex(Fond,1);


	Fond.Taille=1;//Rezoomer

	Boite.visible=false;
 	addEventListener(Event.ENTER_FRAME,TesterFinNiveau);
	ChangeLevelInfo.htmlText="<u>Liste des niveaux</u>";
}